# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pyodbc-4.0.32-python_3.9-on-linux_64, last modified Wed Mar 16 10:13:41 2022
# ------------------------------------------------

package:
  name: pyodbc
  version: 4.0.32
source:
  fn: pyodbc-4.0.32.tar.gz
  patches:
    - 0001-Comment-out-fix-for-663.patch
    - setup.patch
  sha256: 9be5f0c3590655e1968488410fe3528bb8023d527e7ccec1f663d64245071a6b
  url: https://pypi.io/packages/source/p/pyodbc/pyodbc-4.0.32.tar.gz
build:
  number: '1'
  script: /tmp/build/80754af9/pyodbc_1647425888968/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps -vv
  string: py39h295c915_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.2.1 h06a4308_0
    - curl 7.80.0 h7f8727e_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gettext 0.21.0 hf68c758_0
    - git 2.34.1 pl5262hc120c5b_0
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libxml2 2.9.12 h03d6c58_0
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pcre2 10.37 he7ceb23_1
    - perl 5.26.2 h14c3975_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libedit 3.1.20210910 h7f8727e_0
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - unixodbc 2.3.9 h7b6447c_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - python >=3.9,<3.10.0a0
    - unixodbc >=2.3.9,<2.4.0a0
test:
  commands:
    - pip check
  imports:
    - pyodbc
  requires:
    - pip
about:
  description: 'pyodbc is a Python DB API 2 module for ODBC. This project provides
    an

    up-to-date, convenient interface to ODBC using native data types like

    datetime and decimal.

    '
  dev_url: https://github.com/mkleehammer/pyodbc
  doc_source_url: https://github.com/mkleehammer/pyodbc/blob/master/docs/index.md
  doc_url: https://mkleehammer.github.io/pyodbc/
  home: https://github.com/mkleehammer/pyodbc
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: DB API Module for ODBC
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - nehaljwani
